POST api/Zapier/InsertServiceRequestsGeneric

Insert generic service request.

Request Information

URI Parameters

None.

Body Parameters

RequestModel
NameDescriptionTypeAdditional information
subject

string

None.

due_date

string

None.

description

string

None.

status

string

None.

insured_id

globally unique identifier

None.

insured_name

string

None.

insured_email

string

None.

insured_phone

string

None.

policy_number

string

None.

stage

string

None.

custom_type

string

None.

request_database_id

globally unique identifier

None.

policy_database_id

Collection of globally unique identifier

None.

agent_database_id

Collection of globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "subject": "sample string 1",
  "due_date": "sample string 2",
  "description": "sample string 3",
  "status": "sample string 4",
  "insured_id": "ec13efcf-e5b6-4477-ba04-de87e947f816",
  "insured_name": "sample string 5",
  "insured_email": "sample string 6",
  "insured_phone": "sample string 7",
  "policy_number": "sample string 8",
  "stage": "sample string 9",
  "custom_type": "sample string 10",
  "request_database_id": "f179526f-d8db-43b3-9a6b-e890b446c69d",
  "policy_database_id": [
    "445d9a88-80fa-45bc-b291-ceff8160241c",
    "87db4989-802c-4abb-af37-7a736048965e"
  ],
  "agent_database_id": [
    "58dbf48f-9869-4bbf-b7be-b01c4b8c939e",
    "94dfd78d-e071-4b75-8e74-890381464047"
  ]
}

application/xml, text/xml

Sample:
<RequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
  <AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>58dbf48f-9869-4bbf-b7be-b01c4b8c939e</d2p1:guid>
    <d2p1:guid>94dfd78d-e071-4b75-8e74-890381464047</d2p1:guid>
  </AgentDatabaseId>
  <CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
  <Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
  <InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
  <InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">ec13efcf-e5b6-4477-ba04-de87e947f816</InsuredId>
  <InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
  <InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
  <PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
    <d2p1:guid>445d9a88-80fa-45bc-b291-ceff8160241c</d2p1:guid>
    <d2p1:guid>87db4989-802c-4abb-af37-7a736048965e</d2p1:guid>
  </PolicyDatabaseId>
  <PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
  <RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">f179526f-d8db-43b3-9a6b-e890b446c69d</RequestDatabaseId>
  <Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
  <Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
  <DueDate>sample string 2</DueDate>
  <Subject>sample string 1</Subject>
</RequestModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResultWithDatabaseId
NameDescriptionTypeAdditional information
DatabaseId

globally unique identifier

None.

Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "databaseId": "3570fb82-0cbc-4078-8f2c-d93fdfd1915b",
  "status": 0,
  "message": "sample string 2"
}

application/xml, text/xml

Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 2</Message>
  <Status>Error</Status>
  <DatabaseId>3570fb82-0cbc-4078-8f2c-d93fdfd1915b</DatabaseId>
</NowCertsApiResultWithDatabaseId>